SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


Try our Premium Alert Service
 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service





Category:   Application (File Transfer/Sharing)  >   Samba Vendors:   Samba.org
Samba SMB1 Use-After-Free Memory Error Lets Remote Users Execute Arbitrary Code on the Target System
SecurityTracker Alert ID:  1039856
SecurityTracker URL:  http://securitytracker.com/id/1039856
CVE Reference:   CVE-2017-14746   (Links to External Site)
Date:  Nov 21 2017
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 4.0.0 and after
Description:   A vulnerability was reported in Samba. A remote user can execute arbitrary code on the target system.

A remote user can send specially crafted SMB1 requests to trigger a use-after-free memory error and execute arbitrary code on the target system. The code will run with the privileges of the target service.

Yihan Lian and Zhibin Hu of Qihoo 360 GearTeam reported this vulnerability.

Impact:   A remote user can execute arbitrary code on the target system.
Solution:   The vendor has issued a fix(4.5.15, 4.6.11, 4.7.3).

The vendor advisory is available at:

https://www.samba.org/samba/security/CVE-2017-14746.html

Vendor URL:  www.samba.org/samba/security/CVE-2017-14746.html (Links to External Site)
Cause:   Access control error
Underlying OS:  Linux (Any), UNIX (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Nov 21 2017 (Ubuntu Issues Fix) Samba SMB1 Use-After-Free Memory Error Lets Remote Users Execute Arbitrary Code on the Target System
Ubuntu has issued a fix for Ubuntu Linux 14.04 LTS, 16.04 LTS, 17.04, and 17.10.
Nov 27 2017 (Red Hat Issues Fix) Samba SMB1 Use-After-Free Memory Error Lets Remote Users Execute Arbitrary Code on the Target System
Red Hat has issued a fix for Red Hat Enterprise Linux 7.
Nov 27 2017 (Red Hat Issues Fix for Red Hat Gluster Storage) Samba SMB1 Use-After-Free Memory Error Lets Remote Users Execute Arbitrary Code on the Target System
Red Hat has issued a fix for Red Hat Gluster Storage.
Nov 27 2017 (CentOS Issues Fix) Samba SMB1 Use-After-Free Memory Error Lets Remote Users Execute Arbitrary Code on the Target System
CentOS has issued a fix for CentOS 7.
Nov 30 2017 (Oracle Issues Fix for Oracle Linux) Samba SMB1 Use-After-Free Memory Error Lets Remote Users Execute Arbitrary Code on the Target System
Oracle has issued a fix for Oracle Linux 7.
Nov 30 2017 (Red Hat Issues Fix) Samba SMB1 Use-After-Free Memory Error Lets Remote Users Execute Arbitrary Code on the Target System
Red Hat has issued a fix for Red Hat Enterprise Linux 6.
Nov 30 2017 (Oracle Issues Fix for Oracle Linux) Samba SMB1 Use-After-Free Memory Error Lets Remote Users Execute Arbitrary Code on the Target System
Oracle has issued a fix for Oracle Linux 6.
Dec 7 2017 (CentOS Issues Fix) Samba SMB1 Use-After-Free Memory Error Lets Remote Users Execute Arbitrary Code on the Target System
CentOS has issued a fix for samba4 for CentOS 6.
Mar 13 2018 (HPE Issues Fix for HP-UX CIFS Server) Samba SMB1 Use-After-Free Memory Error Lets Remote Users Execute Arbitrary Code on the Target System
HPE has issued a fix for HP-UX CIFS Server.



 Source Message Contents

Subject:  https://www.samba.org/samba/security/CVE-2017-14746.html

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2018, SecurityGlobal.net LLC